Skip to content

AgentsController_update

PATCH
/api/agents/{id}
curl --request PATCH \
--url https://api.streams-ai.com/api/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "avatarAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "endpointUrl": "https://example.com", "status": "active", "capabilities": { "streaming": false, "tools": [] } }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
name
string
>= 1 characters <= 120 characters
avatarAssetId
string format: uuid
nullable /^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
endpointUrl
string format: uri
<= 2048 characters
status
string
Allowed values: active paused
capabilities
object
streaming
boolean
tools
Array<string>
default: <= 50 items